Subject: Re: Ebony crash fix & 440GP cleanup step one

From: Matt Porter <[email-masked]>
Date: Wed, 29 May 2002 15:45:51 -0700

On Tue, May 28, 2002 at 03:04:22PM -0700, Roland Dreier wrote:
> This email includes two patches.  First, a very small change to
> ocp.h.  Somewhere in the recent cleanup, paddr got changed from a
> phys_addr_t to a void *; this doesn't work on 440GP because we have
> 36-bit physical addresses.  (You get a machine check when the kernel
> tries to access the ZMII)
>
> Second, the beginning of moving generic IBM 440GP stuff out of
> ebony.c/ebony.h and into platforms/ibm440gp.h.  I tested this on my
> Ebony and it boots and runs fine.  I didn't go too far because I want
> to make sure everyone feels what I'm doing is the right way to go.
> Please let me know what you think.

Looks great, pushed.  There's still more work to do in the includes
but it's a good start.  I'm moving the PCIX initialization to a
common library, so don't overlap there if you wander out of
moving headers around.

Regards,
--
Matt Porter
[email-masked]
This is Linux Country. On a quiet night, you can hear Windows reboot.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/